Package org.eclipse.graphiti.mm

# Interface MmFactory

All Superinterfaces:
  `org.eclipse.emf.ecore.EFactory`, `org.eclipse.emf.ecore.EModelElement`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`

All Known Implementing Classes:
  `MmFactoryImpl`

public interface MmFactory extends org.eclipse.emf.ecore.EFactory
The Factory for the model. It provides a create method for each non-abstract class of the model.

See Also:
  - `MmPackage`

## Field Summary

Fields
Modifier and Type
Field
Description
`static final MmFactory`
`eINSTANCE`
The singleton instance of the factory.

## Method Summary

Modifier and Type
Method
Description
`Property`
`createProperty()`
Returns a new object of class 'Property'.
`MmPackage`
`getMmPackage()`
Returns the package supported by this factory.

### Methods inherited from interface org.eclipse.emf.ecore.EFactory

`convertToString, create, createFromString, getEPackage, setEPackage`

### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

`getEAnnotation, getEAnnotations`

### Methods inherited from interface org.eclipse.emf.ecore.EObject

`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

`eAdapters, eDeliver, eNotify, eSetDeliver`

## Field Details

### eINSTANCE

static final MmFactory eINSTANCE
The singleton instance of the factory.

## Method Details

### createProperty

Property createProperty()
Returns a new object of class 'Property'.

Returns:
  a new object of class 'Property'.

### getMmPackage

MmPackage getMmPackage()
Returns the package supported by this factory.

Returns:
  the package supported by this factory.